Skip to main content
GET
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
exam-sessions
List sessions exam sessions
curl --request GET \
  --url https://test-api.afrainity.com/api/v1/school/sessions/{session_pk}/exam-sessions/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "term": "1",
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "academic_session": {
      "name": "<string>",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "is_deleted": true,
      "is_active": true,
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "is_published": true,
    "is_deleted": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "is_active": true
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_pk
string<uuid>
required

Query Parameters

ordering
string

Which field to use when ordering the results.

A search term.

Response

200 - application/json
term
enum<string>
required
  • 1 - 1
  • 2 - 2
  • 3 - 3
Available options:
1,
2,
3
name
string
required
Maximum string length: 255
id
string<uuid>
academic_session
object

Auto-populate created_by from request.user when available.

is_published
boolean
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>
is_active
boolean